summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-05-14 07:33:21 +0200
committerHans de Graaff <graaff@gentoo.org>2019-05-14 07:33:21 +0200
commit4e81ef987aea53e0463fa0999314b07096c0cbc5 (patch)
tree5a871d901b9677be679f405de79c67b56a8c3efd
parentdev-libs/libxslt: bump with patch for CVE-2019-11068 (diff)
downloadgentoo-4e81ef987aea53e0463fa0999314b07096c0cbc5.tar.gz
gentoo-4e81ef987aea53e0463fa0999314b07096c0cbc5.tar.bz2
gentoo-4e81ef987aea53e0463fa0999314b07096c0cbc5.zip
dev-ruby/nokogiri: add 1.10.3
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
-rw-r--r--dev-ruby/nokogiri/Manifest1
-rw-r--r--dev-ruby/nokogiri/nokogiri-1.10.3.ebuild92
2 files changed, 93 insertions, 0 deletions
diff --git a/dev-ruby/nokogiri/Manifest b/dev-ruby/nokogiri/Manifest
index 50a918f4a73..4452e37ab97 100644
--- a/dev-ruby/nokogiri/Manifest
+++ b/dev-ruby/nokogiri/Manifest
@@ -1,2 +1,3 @@
+DIST nokogiri-1.10.3-git.tgz 5792280 BLAKE2B e902a773d925bff9414e2aa5c561b2e315144f9ee56f6186a0585a390af8db52725a960c747acd71e174d896d60d555568bd85a314735de72c75b74f76a40c30 SHA512 88c408cb25cc7e4fff9cf74ec8d3a15aeaeef8754c1172fb2cb4c0cb8b8b7419a47e6a2ec54ff9b1faa2bfdf0b287f05d429d8dfc9d2054125c488ca234b80cc
DIST nokogiri-1.8.4-git.tgz 5754921 BLAKE2B 189dc8ffe4df67b04fa8436799bd6d64e4f8c1f93206b619bda8e153afffb3091fdfab9a3a4da28fcaa2650711aad6e37232e4e948a74c217f7fdc8b061dd4cd SHA512 ed409daeb4e13f93e13bc6901ee27bf5d1155e24fb306b5b9e8ba462517d26d4514413b9728d4a8f2514015c54436b9689a11449030c7bb5826d2ca7bf7eb97a
DIST nokogiri-1.9.1-git.tgz 5784212 BLAKE2B 9055a954a52deb10e2a937267d7b382dd235885a44afe126c2770b415d4f6c26b851396a2f03898c335987eba7baf8b5aa1f5fb8ae1063b64c0a620b9ce7969e SHA512 8d0dc667c68b612ba481692a02cf32860f9cb180a831942789c56568e3b4c1bc89a21ac284cd4d406b183600c6aaf56cf7a3a104594bdbba22fa53f9af6525da
diff --git a/dev-ruby/nokogiri/nokogiri-1.10.3.ebuild b/dev-ruby/nokogiri/nokogiri-1.10.3.ebuild
new file mode 100644
index 00000000000..7ae8cea0943
--- /dev/null
+++ b/dev-ruby/nokogiri/nokogiri-1.10.3.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md ROADMAP.md STANDARD_RESPONSES.md"
+
+RUBY_FAKEGEM_EXTRAINSTALL="ext"
+
+inherit ruby-fakegem eutils multilib
+
+DESCRIPTION="Nokogiri is an HTML, XML, SAX, and Reader parser"
+HOMEPAGE="https://www.nokogiri.org/"
+LICENSE="MIT"
+SRC_URI="https://github.com/sparklemotion/nokogiri/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+SLOT="0"
+IUSE=""
+
+RDEPEND="${RDEPEND}
+ >=dev-libs/libxml2-2.9.9:=
+ >=dev-libs/libxslt-1.1.33
+ virtual/libiconv"
+DEPEND="${DEPEND}
+ >=dev-libs/libxml2-2.9.9
+ >=dev-libs/libxslt-1.1.33
+ virtual/libiconv"
+
+ruby_add_bdepend "
+ >=dev-ruby/pkg-config-1.1.7
+ dev-ruby/rexical
+ dev-ruby/rdoc
+ dev-ruby/racc
+ test? ( dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ sed -i \
+ -e '/tasks\/cross_compile/s:^:#:' \
+ -e '/:test.*prerequisites/s:^:#:' \
+ -e '/license/ s:^:#:' \
+ Rakefile || die
+ # Remove the cross compilation options since they interfere with
+ # native building.
+ sed -i -e 's/cross_compile = true/cross_compile = false/' Rakefile || die
+ sed -i -e '/cross_config_options/d' Rakefile || die
+}
+
+each_ruby_configure() {
+ NOKOGIRI_USE_SYSTEM_LIBRARIES=true \
+ ${RUBY} -Cext/${PN} extconf.rb \
+ --with-zlib-include="${EPREFIX}"/usr/include \
+ --with-zlib-lib="${EPREFIX}"/$(get_libdir) \
+ --with-iconv-include="${EPREFIX}"/usr/include \
+ --with-iconv-lib="${EPREFIX}"/$(get_libdir) \
+ --with-xml2-include="${EPREFIX}"/usr/include/libxml2 \
+ --with-xml2-lib="${EPREFIX}"/usr/$(get_libdir) \
+ --with-xslt-dir="${EPREFIX}"/usr \
+ --with-iconvlib=iconv \
+ || die "extconf.rb failed"
+}
+
+each_ruby_compile() {
+ if ! [[ -f lib/nokogiri/css/tokenizer.rb ]]; then
+ ${RUBY} -S rake lib/nokogiri/css/tokenizer.rb || die "rexical failed"
+ fi
+
+ if ! [[ -f lib/nokogiri/css/parser.rb ]]; then
+ ${RUBY} -S rake lib/nokogiri/css/parser.rb || die "racc failed"
+ fi
+
+ emake -Cext/${PN} \
+ V=1 \
+ CFLAGS="${CFLAGS} -fPIC" \
+ archflag="${LDFLAGS}" || die "make extension failed"
+ cp -l ext/${PN}/${PN}$(get_modname) lib/${PN}/ || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test -e 'Dir["test/**/test_*.rb"].each {|f| require f}' || die
+}
+
+each_ruby_install() {
+ # Clean up "ext" directory before installing it. nokogumbo expects
+ # the header files and shared object to be in ext.
+ rm -rf ext/java ext/nokogiri/*.o ext/nokogiri/{mkmf.log,Makefile} || die
+
+ each_fakegem_install
+}